| helics 3.6.1

Public Member Functions | List of all members
helicscpp::FederateInfo Class Reference

`#include <Federate.hpp>`

## Public Member Functions
| FederateInfo ()
| FederateInfo (const std::string &coretype)
| FederateInfo (int coretype)
| FederateInfo (const FederateInfo &otherFedInfo)
FederateInfo & | operator= (const FederateInfo &otherFedInfo)
| ~FederateInfo ()
void | loadFromArgs (const std::string &argString)
void | setCoreName (const std::string &coreName)
void | setSeparator (char sep)
| Set the separator character.
void | setCoreInit (const std::string &coreInit)
void | setBrokerInit (const std::string &brokerInit)
| Set a string for the broker initialization in command line argument format.
void | setCoreType (const std::string &coretype)
void | setCoreType (int coretype)
void | setBroker (const std::string &broker)
void | setBrokerKey (const std::string &brokerkey)
void | setFlagOption (int flag, bool value=true)
void | setProperty (int timeProperty, HelicsTime timeValue)
void | setProperty (int integerProperty, int propertyValue)
HelicsFederateInfo | getInfo ()

## Detailed Description

hold federate information in the C++98 API

## Constructor & Destructor Documentation

## ◆ FederateInfo() [1/4]

helicscpp::FederateInfo::FederateInfo | ( |  | ) |
| inline

constructor

References helicsCreateFederateInfo().

## ◆ FederateInfo() [2/4]

helicscpp::FederateInfo::FederateInfo | ( | const std::string & | coretype | ) |
| inline explicit

construct from a type string

Parameters

  coretype | the type of core to use for the federate

References helicsCreateFederateInfo(), and helicsFederateInfoSetCoreTypeFromString().

## ◆ FederateInfo() [3/4]

helicscpp::FederateInfo::FederateInfo | ( | int | coretype | ) |
| inline explicit

construct from a type

Parameters

  coretype | the type of core to use for the federate

References helicsCreateFederateInfo(), and helicsFederateInfoSetCoreType().

## ◆ FederateInfo() [4/4]

helicscpp::FederateInfo::FederateInfo | ( | const FederateInfo & | otherFedInfo | ) |
| inline

copy constructor for federate info

References helicsFederateClone().

## ◆ ~FederateInfo()

helicscpp::FederateInfo::~FederateInfo | ( |  | ) |
| inline

destructor

References helicsFederateInfoFree().

## Member Function Documentation

## ◆ getInfo()

HelicsFederateInfo helicscpp::FederateInfo::getInfo | ( |  | ) |
| inline

get the underlying HelicsFederateInfo object

Referenced by helicscpp::CombinationFederate::CombinationFederate(), helicscpp::MessageFederate::MessageFederate(), and helicscpp::ValueFederate::ValueFederate().

## ◆ operator=()

FederateInfo& helicscpp::FederateInfo::operator= | ( | const FederateInfo & | otherFedInfo | ) |
| inline

copy assignment for federateInfo

References helicsFederateClone(), and helicsFederateInfoFree().

## ◆ setBroker()

void helicscpp::FederateInfo::setBroker | ( | const std::string & | broker | ) |
| inline

set the broker to connect with

Parameters

  broker | a string with the broker connection information or name

References helicsFederateInfoSetBroker().

## ◆ setBrokerKey()

void helicscpp::FederateInfo::setBrokerKey | ( | const std::string & | brokerkey | ) |
| inline

set the broker key to use

Parameters

  brokerkey | a string with the broker key information

References helicsFederateInfoSetBrokerKey().

## ◆ setCoreInit()

void helicscpp::FederateInfo::setCoreInit | ( | const std::string & | coreInit | ) |
| inline

set the core init string to use in the federateInfo

Parameters

  coreInit | the core name to use

References helicsFederateInfoSetCoreInitString().

## ◆ setCoreName()

void helicscpp::FederateInfo::setCoreName | ( | const std::string & | coreName | ) |
| inline

set the core name to use in the federateInfo

Parameters

  coreName | the core name to use

References helicsFederateInfoSetCoreName().

## ◆ setCoreType() [1/2]

void helicscpp::FederateInfo::setCoreType | ( | const std::string & | coretype | ) |
| inline

set the core type from a string with the core type

Parameters

  coretype | the string defining a core type

References helicsFederateInfoSetCoreTypeFromString().

## ◆ setCoreType() [2/2]

void helicscpp::FederateInfo::setCoreType | ( | int | coretype | ) |
| inline

set the core type from an integer HelicsCoreTypes

Parameters

  coretype | an integer code with the federate type

References helicsFederateInfoSetCoreType().

## ◆ setFlagOption()

void helicscpp::FederateInfo::setFlagOption | ( | int | flag,
|  | bool | value = `true`
| ) |  |
| inline

set a flag

Parameters

  flag | /ref helics_federate_flags
  value | the value of the flag usually HELICS_TRUE or HELICS_FALSE

References HELICS_FALSE, HELICS_TRUE, and helicsFederateInfoSetFlagOption().

## ◆ setProperty() [1/2]

void helicscpp::FederateInfo::setProperty | ( | int | integerProperty,
|  | int | propertyValue
| ) |  |
| inline

set an integral federate or core property

Parameters

  integerProperty | /ref helics_federate_properties an integer code with the property
  propertyValue | the value to set the property to

References helicsFederateInfoSetIntegerProperty().

## ◆ setProperty() [2/2]

void helicscpp::FederateInfo::setProperty | ( | int | timeProperty,
|  | HelicsTime | timeValue
| ) |  |
| inline

set a time federate or core property

Parameters

  timeProperty | /ref helics_federate_properties an integer code with the property
  timeValue | the value to set the property to

References helicsFederateInfoSetTimeProperty().

The documentation for this class was generated from the following file:

- cpp98/Federate.hpp